Bug 27868 - Adding the Expiration Date to the Holds Awaiting Pickup report
Summary: Adding the Expiration Date to the Holds Awaiting Pickup report
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-04 18:18 UTC by Kelly McElligott
Modified: 2022-07-12 10:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement makes each hold's expiration date visible on the Holds Awaiting Pickup page. Since this is the date Koha uses to decide when a waiting hold should expire and be cancelled, making it visible decreases confusion.
Version(s) released in:
22.05.00


Attachments
Bug 27868: Add expiration date to holds awaiting pickup (4.13 KB, patch)
2021-12-07 22:28 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27868: Add expiration date to holds awaiting pickup (4.19 KB, patch)
2021-12-09 20:46 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 27868: Add expiration date to holds awaiting pickup (4.26 KB, patch)
2022-01-06 14:16 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2021-03-04 18:18:42 UTC
Looking ahead to the passing of bug 8367, it would be nice to have the Hold's expiration date be visible on the Holds Awaiting Pickup Report.  When different item types will have the potential to have different expiration dates, it would be  a nice column to have in this report to easily see what has expired and what is about to expire.  

But overall, I do think that a Date Expiration column would greatly help libraries  with this current report, Holds Awaiting Pickup.
Comment 1 Andrew Fuerste-Henry 2021-12-07 21:07:06 UTC
+100.

On this page (waitingreserves.pl), we show the user the waitingdate (the date on which the item went to the hold shelf) and tell the user what the pickup delay value is, thereby very strongly implying that expirationdate will always equal waitingdate+pickup delay. Actually, there are a bunch of ways the expiration date can end up being something else. We should show the expirationdate.
Comment 2 Lucas Gass 2021-12-07 22:28:24 UTC
Created attachment 128334 [details] [review]
Bug 27868: Add expiration date to holds awaiting pickup

To test:
1. Have some holds awaiting pickup, also have some holds that have been waiting longer than the ReservesMaxPickUpDelay is set to.
2. Go to /cgi-bin/koha/circ/waitingreserves.pl
3. There is no expiration date
4. Apply patch and restart_all
5. Now there should be a Expiration date column, make sure you can see it in both Holds waiting and Holds waiting over X days
6. Make sure all the columns Waiting Since, Date hold placed, and expiration date still sort correctly
6. Go to Table settings, and make sure all the columns hide correctly for both of the  holds_awaiting_pickup tables ( holdst & holdso )

Note: This patch also corrects 2 other small problems

1. Corrects a problem where the table settings did not account for the checkbox column at the beginnning of each table
2. Removes the title-string class and uses data-order to sort Waiting Since, Date hold placed, and expiration date ( see Bug 27934 )
Comment 3 Andrew Fuerste-Henry 2021-12-09 20:46:06 UTC
Created attachment 128382 [details] [review]
Bug 27868: Add expiration date to holds awaiting pickup

To test:
1. Have some holds awaiting pickup, also have some holds that have been waiting longer than the ReservesMaxPickUpDelay is set to.
2. Go to /cgi-bin/koha/circ/waitingreserves.pl
3. There is no expiration date
4. Apply patch and restart_all
5. Now there should be a Expiration date column, make sure you can see it in both Holds waiting and Holds waiting over X days
6. Make sure all the columns Waiting Since, Date hold placed, and expiration date still sort correctly
6. Go to Table settings, and make sure all the columns hide correctly for both of the  holds_awaiting_pickup tables ( holdst & holdso )

Note: This patch also corrects 2 other small problems

1. Corrects a problem where the table settings did not account for the checkbox column at the beginnning of each table
2. Removes the title-string class and uses data-order to sort Waiting Since, Date hold placed, and expiration date ( see Bug 27934 )

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 4 Martin Renvoize 2022-01-06 14:16:13 UTC
Created attachment 129095 [details] [review]
Bug 27868: Add expiration date to holds awaiting pickup

To test:
1. Have some holds awaiting pickup, also have some holds that have been waiting longer than the ReservesMaxPickUpDelay is set to.
2. Go to /cgi-bin/koha/circ/waitingreserves.pl
3. There is no expiration date
4. Apply patch and restart_all
5. Now there should be a Expiration date column, make sure you can see it in both Holds waiting and Holds waiting over X days
6. Make sure all the columns Waiting Since, Date hold placed, and expiration date still sort correctly
6. Go to Table settings, and make sure all the columns hide correctly for both of the  holds_awaiting_pickup tables ( holdst & holdso )

Note: This patch also corrects 2 other small problems

1. Corrects a problem where the table settings did not account for the checkbox column at the beginnning of each table
2. Removes the title-string class and uses data-order to sort Waiting Since, Date hold placed, and expiration date ( see Bug 27934 )

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2022-01-06 14:16:54 UTC
Nice improvement, works as expected.. PQA
Comment 6 Fridolin Somers 2022-01-28 21:12:37 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Martin Renvoize 2022-07-12 10:27:24 UTC
The checkbox column addition here needs backporting to 21.11 series.. it's a bug that was introduced by bug 23678